Page MenuHomePhabricator

DateTimeInputWidget: Fix UI/UX glitches
Closed, ResolvedPublic

Description

DateTimeInputWidget has come quite a way. With OOUI being optimized for 14/16px base size interfaces now, it's time to address some remaining glitches:

  • Focus state of inputs is overflowing datetime handle boundaries
  • Clear icon, see T212022, should not be visible when there's no value to be cleared
  • Clear button should be a bit more distant to input values
  • Day value is triggering calendar popup and should feature pointer cursor and not focus outline

Event Timeline

Volker_E created this task.Dec 15 2018, 7:10 PM
Restricted Application added a project: UI-Standardization. · View Herald TranscriptDec 15 2018, 7:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

I personally also find the timezone over-emphasized. That's something that in my estimation very few users really care about when choosing a date, nor do they understand it out of box.

Volker_E updated the task description. (Show Details)Dec 15 2018, 7:45 PM
Volker_E added subscribers: matmarex, Jdforrester-WMF.
Volker_E moved this task from Unsorted to OOUI on the UI-Standardization board.Dec 16 2018, 11:22 PM

Change 479910 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] DateTimeInputWidget: Fix UI/UX glitches

https://gerrit.wikimedia.org/r/479910

Volker_E closed this task as Resolved.Dec 17 2018, 8:25 PM
Volker_E claimed this task.
Volker_E triaged this task as Normal priority.
Volker_E removed a project: Patch-For-Review.
Volker_E updated the task description. (Show Details)
Volker_E removed a subscriber: gerritbot.

Change 479910 merged by jenkins-bot:
[mediawiki/core@master] DateTimeInputWidget: Fix UI/UX glitches

https://gerrit.wikimedia.org/r/479910